Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get organization tree by ID

Retrieves a tree of organizations connected by parent ID by starting from the organization ID.

GET/api/v1/{team_slug}/{app_slug}/organisations/{org_id}/tree
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

org_idstringrequired

Organization ID

Responses
200

Organization details

datainternal_pkg_webserver_v1.OrganisationTreerequired
Show properties
app_idstring
childreninternal_pkg_webserver_v1.OrganisationTree[] | null
Show properties
Array of internal_pkg_webserver_v1.OrganisationTree
Circular reference to internal_pkg_webserver_v1.OrganisationTree.
commentstring
contact_namestring
created_atstring
credit_checkboolean
custom_fieldsgithub_com_enadhq_nabbit_internal_pkg_database.CustomFields | null
Show properties
Any of:
github_com_enadhq_nabbit_internal_pkg_database.CustomFields
object
null
null
emailstring
external_refstring
idstring
invoice_emailstring
namestring
organisation_numberstring | null
parent_idstring
phonestring
statusstring
tax_id_vat_numberstring
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad organization ID format)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
404

Organization not found

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/organisations/string/tree' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "app_id": "string",
    "children": [
      {}
    ],
    "comment": "string",
    "contact_name": "string",
    "created_at": "string",
    "credit_check": true,
    "custom_fields": {
      "property1": "string",
      "property2": "string"
    },
    "email": "string",
    "external_ref": "string",
    "id": "string",
    "invoice_email": "string",
    "name": "string",
    "organisation_number": "string",
    "parent_id": "string",
    "phone": "string",
    "status": "string",
    "tax_id_vat_number": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}